View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001461aMuleGUIpublic2008-12-26 20:352009-08-08 23:57
Reportersturedman 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.2 
Target VersionFixed in Version2.2.4 
Summary0001461: Crash when importing a part file from emule
Descriptionhttp://www.amule.org/amule/index.php?topic=16288.0 [^]

Kry: It seems a crash inside wx but when updating the GUI in the thread. Threads must never use GUI functions.
GonoszTopi: Seems like the partfile importer needs a rewrite.
Kry: The proper way is events posted to the main thread with the progress data.
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003097)
sturedman (developer)
2009-03-10 20:27

Fixed for 2.2.4 in 9455, needs merging into trunk

- Issue History
Date Modified Username Field Change
2008-12-26 20:35 sturedman New Issue
2008-12-26 20:35 sturedman Operating System => Any
2008-12-27 11:18 GonoszTopi Status new => assigned
2008-12-27 11:18 GonoszTopi Assigned To => GonoszTopi
2009-03-10 20:27 sturedman Note Added: 0003097
2009-08-08 23:57 GonoszTopi Status assigned => resolved
2009-08-08 23:57 GonoszTopi Fixed in Version => 2.2.4
2009-08-08 23:57 GonoszTopi Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker